%define bname xkbcommon

%define major 0
%define libname %mklibname xkbcommon %{major}
%define devname %mklibname xkbcommon -d
%define libx11 %mklibname xkbcommon-x11_ %{major}
%define devx11 %mklibname xkbcommon-x11 -d

Summary:	Keymap handling library for toolkits and window systems
Name:		lib%{bname}
Version:	0.4.2
Release:	2
License:	MIT
Group:		Development/X11
Url:		http://xkbcommon.org/
Source0:	http://xkbcommon.org/download/%{name}-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	doxygen
BuildRequires:	flex
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xproto)
# to auto-detect XKB config root
BuildRequires:	x11-data-xkbdata

%description
A library that provides XKB API, common to servers and clients, to translate
evdev keycodes to keysyms, used by Wayland. Wayland is a protocol for a
compositor to talk to its clients as well as a C library implementation of
that protocol. The compositor can be a standalone display server running on
Linux kernel modesetting and evdev input devices, an X application, or a
wayland client itself.

#-----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library to translate evdev keycodes to keysyms
Group:		Development/X11

%description -n %{libname}
A library that provides XKB API, common to servers and clients, to translate
evdev keycodes to keysyms, used by Wayland. Wayland is a protocol for a
compositor to talk to its clients as well as a C library implementation of
that protocol. The compositor can be a standalone display server running on
Linux kernel modesetting and evdev input devices, an X application, or a
wayland client itself.

%files -n %{libname}
%doc COPYING README.md NEWS
%{_libdir}/%{name}.so.%{major}*

#-----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains development files for %{name}.

%files -n %{devname}
%doc COPYING
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{bname}.pc
%{_includedir}/%{bname}/%{bname}.h
%{_includedir}/%{bname}/%{bname}-compat.h
%{_includedir}/%{bname}/%{bname}-keysyms.h
%{_includedir}/%{bname}/%{bname}-names.h

#-----------------------------------------------------------------------------

%package -n %{libx11}
Summary:	Library to translate evdev keycodes to keysyms (X11 bits)
Group:		Development/X11

%description -n %{libx11}
A library that provides XKB API, common to servers and clients, to translate
evdev keycodes to keysyms, used by Wayland. Wayland is a protocol for a
compositor to talk to its clients as well as a C library implementation of
that protocol. The compositor can be a standalone display server running on
Linux kernel modesetting and evdev input devices, an X application, or a
wayland client itself.

%files -n %{libx11}
%{_libdir}/%{name}-x11.so.%{major}*

#-----------------------------------------------------------------------------

%package -n %{devx11}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libx11} = %{EVRD}
Requires:	%{devname} = %{EVRD}

%description -n %{devx11}
This package contains development files for %{name}.

%files -n %{devx11}
%{_libdir}/%{name}-x11.so
%{_libdir}/pkgconfig/%{bname}-x11.pc
%{_includedir}/%{bname}/%{bname}-x11.h

#-----------------------------------------------------------------------------

%package doc
Summary:	Documentation for %{name}
Group:		Development/Other

%description doc
This package contains documentation for %{name}.

%files doc
%doc %{_docdir}/%{name}/*

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x \
	--disable-static \
	--with-xkb-config-root=%{_datadir}/X11/xkb
%make


%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.4.2-2
+ Revision: c0a6567
- MassBuild#440: Increase release tag


